Bug 47568 - Update getUniform for bvec[234] to return boolean[] rather than Uint8Array
Summary: Update getUniform for bvec[234] to return boolean[] rather than Uint8Array
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebGL (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Zhenyao Mo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-12 18:47 PDT by Kenneth Russell
Modified: 2010-11-02 14:02 PDT (History)
3 users (show)

See Also:


Attachments
patch (4.84 KB, patch)
2010-10-28 17:15 PDT, Zhenyao Mo
kbr: review+
zmo: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kenneth Russell 2010-10-12 18:47:30 PDT
In a recent WebGL working group face-to-face it was decided to change getUniform for bvec[234] to return boolean[] rather than Uint8Array. The WebGL implementation and any associated tests need to be updated.
Comment 1 Zhenyao Mo 2010-10-28 17:15:21 PDT
Created attachment 72266 [details]
patch

Test has been updated on the khronos already.
Comment 2 Kenneth Russell 2010-11-02 11:37:25 PDT
Comment on attachment 72266 [details]
patch

Looks good.
Comment 3 Zhenyao Mo 2010-11-02 14:02:09 PDT
Committed r71164: <http://trac.webkit.org/changeset/71164>